<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Eddie: ResourceDirectory Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Eddie
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classResourceDirectory-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">ResourceDirectory Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="ResourceDirectory_8h_source.html">ResourceDirectory.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a0576aec7e02d01b0db49a1fde478f419"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classResourceDirectory.html#a0576aec7e02d01b0db49a1fde478f419">ResourceDirectory</a> (const std::string &amp;ip, coap_context_t *server_context=nullptr)</td></tr>
<tr class="memdesc:a0576aec7e02d01b0db49a1fde478f419"><td class="mdescLeft">&#160;</td><td class="mdescRight">Construct and initialize a new Resource Directory.  <a href="classResourceDirectory.html#a0576aec7e02d01b0db49a1fde478f419">More...</a><br /></td></tr>
<tr class="separator:a0576aec7e02d01b0db49a1fde478f419"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe8e2df620dbb6ab5f262b8eb5ce1192"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classResourceDirectory.html#afe8e2df620dbb6ab5f262b8eb5ce1192">~ResourceDirectory</a> ()</td></tr>
<tr class="separator:afe8e2df620dbb6ab5f262b8eb5ce1192"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a01ed0c86b0af7e3505c924580e0a1ed2"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classResourceDirectory.html#a01ed0c86b0af7e3505c924580e0a1ed2">run</a> ()</td></tr>
<tr class="separator:a01ed0c86b0af7e3505c924580e0a1ed2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This is an implementation of the Constrained RESTful Environments (CoRE) Resource Directory as described in <a href="https://datatracker.ietf.org/doc/html/rfc9176">rfc9176</a> </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a0576aec7e02d01b0db49a1fde478f419"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0576aec7e02d01b0db49a1fde478f419">&#9670;&nbsp;</a></span>ResourceDirectory()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ResourceDirectory::ResourceDirectory </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>ip</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">coap_context_t *&#160;</td>
          <td class="paramname"><em>server_context</em> = <code>nullptr</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">explicit</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Construct and initialize a new Resource Directory. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">server_context</td><td>A preinitialized server context. If not specified, a new context will be created. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="afe8e2df620dbb6ab5f262b8eb5ce1192"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afe8e2df620dbb6ab5f262b8eb5ce1192">&#9670;&nbsp;</a></span>~ResourceDirectory()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ResourceDirectory::~ResourceDirectory </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Stop resource directory and releases resources </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a01ed0c86b0af7e3505c924580e0a1ed2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a01ed0c86b0af7e3505c924580e0a1ed2">&#9670;&nbsp;</a></span>run()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int ResourceDirectory::run </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Run the resource directory I/O loop until the resource directory is destroyed </p><dl class="section return"><dt>Returns</dt><dd>0 on success </dd></dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/builds/eclipse/oniro-core/eddie/linux/communication/include/<a class="el" href="ResourceDirectory_8h_source.html">ResourceDirectory.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
